From ubb/protegeserver
ARG PROTEGEDIR=/opt/Protege-3.5
ARG USER=protege
ENV JAVA_HOME=/usr/lib/jvm/jre-1.8.0/
USER root
##Add additional example data before mounting volume
COPY /projects/marcus-bs/marcus-bs.pprj /marcus-bs.pprj
RUN mkdir -p /data/protege-projects/marcus-bs/ && \
yum install -y wget && \
cd /data/protege-projects/marcus-bs/ && \
wget http://data.ub.uib.no/files/docker/marcus-bs.rdf-xml.owl && \
yum remove -y \
wget && \
chown -R $USER:root /data/ && \
cd /data/protege-projects/marcus-bs/ && \
mv /marcus-bs.pprj ./marcus-bs.pprj && \
chown -R $USER:root ${PROTEGEDIR}
USER $USER

